POST api/contractItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ContractItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| item_code | string |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "b012f853-b076-42be-85f0-d7347cd7b17b",
"selected_nameplate_id": "70eb1e5c-8fb9-47e9-aacf-ad34f9e7a022",
"active": true,
"contract_id": "b9a7b720-b4a9-4652-836a-edc430644d90",
"id": "ded4b2ac-cf81-4e9b-b98d-09bc39db4b80",
"physical_item_id": "d7150981-157c-4edf-bf36-e7bfc7f8fc1b",
"service_item_id": "5f8a1d28-10a2-4834-b161-1a0aa19528ca",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<contract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<contract_id>b9a7b720-b4a9-4652-836a-edc430644d90</contract_id>
<id>ded4b2ac-cf81-4e9b-b98d-09bc39db4b80</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>d7150981-157c-4edf-bf36-e7bfc7f8fc1b</physical_item_id>
<quantity>1</quantity>
<service_item_id>5f8a1d28-10a2-4834-b161-1a0aa19528ca</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>70eb1e5c-8fb9-47e9-aacf-ad34f9e7a022</selected_nameplate_id>
<selected_sticker_id>b012f853-b076-42be-85f0-d7347cd7b17b</selected_sticker_id>
</contract_item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"63f4a5de-f3bc-4a92-b989-ce39a7fc77c5"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">63f4a5de-f3bc-4a92-b989-ce39a7fc77c5</guid>